Package: org.grails.encoder.impl

## [Groovy] Class JavaScriptCodec

- org.grails.encoder.impl.JavaScriptCodec

- All Implemented Interfaces and Traits:
    CodecFactory

      @groovy.transform.CompileStatic
      class JavaScriptCodec
      extends java.lang.Object
      implements CodecFactory

  A codec that encodes strings to Javascript

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `JavaScriptCodec.1` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static Decoder` | `DECODER` |
    `private static Encoder` | `ENCODER` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static Decoder` | `DECODER`
    `static Encoder` | `ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaScriptCodec ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Decoder` | `getDecoder()`
    `` | `Encoder` | `getEncoder()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static Decoder DECODER

    - #### private static Encoder ENCODER

  - ### Property Detail

    - #### static Decoder DECODER

    - #### static Encoder ENCODER

  - ### Constructor Detail

    - #### JavaScriptCodec()

  - ### Method Detail

    - #### Decoder getDecoder()

    - #### Encoder getEncoder()